package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.entities.AuditNode;
import com.jsh.erp.datasource.vo.AuditNodeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AuditNodeMapper extends BaseMapperX<AuditNode> {

    /**
     * 根据审核id获取审核历史
     * @param id  审核实例id
     */
    List<AuditNodeVo> getAuditHistoryByAuditId(@Param("id") Long id);


}
