package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.entities.Material;
import com.jsh.erp.datasource.entities.MaterialExample;
import java.util.List;

import com.jsh.erp.datasource.pda.dto.PDAInventoryDTO;
import com.jsh.erp.datasource.pda.vo.PDADepotItemVO;
import org.apache.ibatis.annotations.Param;

public interface MaterialMapper extends BaseMapperX<Material>{

    long countByExample(MaterialExample example);

    int deleteByExample(MaterialExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Material record);

    int insertSelective(Material record);

    //根据条件查询商品集合 0
    List<Material> selectByExample(MaterialExample example);

    /**
     * 根据主键id查询商品
     */
    Material selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Material record, @Param("example") MaterialExample example);

    int updateByExample(@Param("record") Material record, @Param("example") MaterialExample example);

    //修改商品信息
    int updateByPrimaryKeySelective(Material record);

    int updateByPrimaryKey(Material record);

    List<PDADepotItemVO> inventoryInquiryList(PDAInventoryDTO pdaInventoryDTO);
}