package com.jsh.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.entities.MaterialUnit;
import com.jsh.erp.datasource.entities.MaterialUpc;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface MaterialUpcService extends IService<MaterialUpc> {

    /**
     * 保存商品UPC
     * @param upcList 商品UPC集合
     * @param meId  商品拓展id
     */
    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    Boolean saveDetails(List<MaterialUpc> upcList, Long meId);


}
