package com.jsh.erp.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.jsh.erp.datasource.vo.TreeNode;

import java.util.List;

public class TreeNodeUtils {

    /**
     * 将树类型
     * @param list
     * @return
     */
    public static JSONArray conversion(List<TreeNode> list){
        JSONArray arr=new JSONArray();
        if(list != null && list.size()>0){
            for(TreeNode node : list){
                String str= JSON.toJSONString(node);
                JSONObject obj=JSON.parseObject(str);
                arr.add(obj) ;
            }
        }
        return arr;
    }
}
