package com.jsh.erp.datasource.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class AuditQueryDTO {

    @ApiModelProperty("单据号")
    private String number;

    @ApiModelProperty("流程类型")
    private String type;

    @ApiModelProperty("发起人")
    private String initiatorName;

    @ApiModelProperty("状态")
    private Integer auditStatus;

    @ApiModelProperty("开始时间")
    private Date beginTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    private Long uid;

}
