package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 商品UPC
 */
@Data
@Accessors(chain = true)
public class MaterialUpc {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("商品扩展id")
    private Long materialExtendId;

    @ApiModelProperty("upc值")
    private String upc;

    @ApiModelProperty("是否默认")
    private Boolean defaultFlag;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private Boolean deleteFlag;


}
