package com.jsh.erp.datasource.pda.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class PDAMaterialVo {

    @ApiModelProperty("商品ID")
    private Long materialId;

    @ApiModelProperty("商品条码ID")
    private Long materialExtendId;

    @ApiModelProperty("商品名称")
    private String materialName;

    @ApiModelProperty("商品规格")
    private String materialStandard;

    @ApiModelProperty("sku")
    private String sku;

    @ApiModelProperty("生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

    @ApiModelProperty("库存单位")
    private String commodityUnit;

    @ApiModelProperty("商品库存")
    private String inventory;

    @ApiModelProperty("商品图片")
    private String imgName;

    @ApiModelProperty("商品库位")
    private String position;



}
